org.apache.lucene.facet.sampling

## Class RepeatableSampler

- java.lang.Object
- - org.apache.lucene.facet.sampling.Sampler
  - - org.apache.lucene.facet.sampling.RepeatableSampler

-     public class RepeatableSampler
      extends Sampler

  Take random samples of large collections.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.facet.sampling.Sampler

      `Sampler.SampleResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.sampling.Sampler

      `samplingParams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepeatableSampler(SamplingParams params)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Sampler.SampleResult` | `createSample(ScoredDocIDs docids, int actualSize, int sampleSetSize)` Create and return a sample of the input set

    - ### Methods inherited from class org.apache.lucene.facet.sampling.Sampler

      `getSampleFixer, getSampleSet, getSamplingParams, overSampledSearchParams, shouldSample, trimResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepeatableSampler

          public RepeatableSampler(SamplingParams params)

  - ### Method Detail

    - #### createSample

          protected Sampler.SampleResult createSample(ScoredDocIDs docids,
                                          int actualSize,
                                          int sampleSetSize)
                                               throws IOException

      Description copied from class: `Sampler`
      Create and return a sample of the input set
      Specified by:
        `createSample` in class `Sampler`
      Parameters:
        `docids` - input set out of which a sample is to be created
        `actualSize` - original size of set, prior to sampling
        `sampleSetSize` - required size of sample set
      Returns:
        sample of the input set in the required size
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.